osutil-2.0.1-1.el6.x86_64.rpm


Advertisement

Description

osutil - Operating System Utilities JNI Package

Property Value
Distribution CentOS 6
Repository CentOS x86_64
Package filename osutil-2.0.1-1.el6.x86_64.rpm
Package name osutil
Package version 2.0.1
Package release 1.el6
Package architecture x86_64
Package type rpm
Category System Environment/Libraries
Homepage http://pki.fedoraproject.org/
License GPLv2
Maintainer -
Download size 24.82 KB
Installed size 39.24 KB
The Operating System Utilities Java Native Interface (JNI) package
supplies various native operating system operations to Java programs.

Alternatives

Package Version Architecture Repository
osutil-2.0.1-1.el6.i686.rpm 2.0.1 i686 CentOS
osutil - - -

Requires

Name Value
java >= 1.6.0
jpackage-utils -
libc.so.6(GLIBC_2.3.4)(64bit) -
libnspr4.so()(64bit) -
libnss3.so()(64bit) -
libnss3.so(NSS_3.2)(64bit) -
libnssutil3.so()(64bit) -
libplc4.so()(64bit) -
libplds4.so()(64bit) -
libsmime3.so()(64bit) -
libssl3.so()(64bit) -
nss -
rtld(GNU_HASH) -

Provides

Name Value
libosutil.so()(64bit) -
osutil = 2.0.1-1.el6
osutil(x86-64) = 2.0.1-1.el6

Download

Type URL
Mirror mirror.centos.org
Binary Package osutil-2.0.1-1.el6.x86_64.rpm
Source Package osutil-2.0.1-1.el6.src.rpm

Install Howto

Install osutil rpm package:

# yum install osutil

Files

Path
/usr/lib/java/osutil.jar
/usr/lib64/osutil/libosutil.so
/usr/lib64/osutil/osutil-2.0.1.jar
/usr/lib64/osutil/osutil.jar
/usr/share/doc/osutil-2.0.1/LICENSE

Changelog

2011-01-21 - Matthew Harmsen <mharmsen@redhat.com> 2.0.1-1
- Removed version information from NSPR and NSS build/runtime requires
- Bugzilla Bug #638377 - Generate PKI UI components which exclude
a GUI interface
- Bugzilla Bug #643206 - New CMake based build system for Dogtag
- Bugzilla Bug #644056 - CS build contains warnings
- Bugzilla Bug #667556 - Consolidate 'osutil' SVN source code with
'osutil' GIT source code
2011-01-06 - Kevin Wright <kwright@redhat.com> 2.0.0-3
- added s390 and s390x to the exclude arches due to missing java-devel >= 1:1.6.0
2011-01-06 - Kevin Wright <kwright@redhat.com> 2.0.0-2
- Cleaned up the spec file.
- Re-added the changelog history.
2010-12-01 - Matthew Harmsen <mharmsen@redhat.com> 2.0.0-1
- Initial 2.0 revision. (kwright@redhat.com & mharmsen@redhat.com)
2010-02-01 - Kevin Wright <kwright@redhat.com> 1.3.1-3
- no java on rhel ppc
2010-01-29 - Matthew Harmsen <mharmsen@redhat.com> 1.3.1-2
- Applied %{?_smp_mflags} option to 'make'
2009-12-14 - Kevin Wright <kwright@redhat.com> 1.3.1-1
- Removed BuildRequires bash
- Removed 'with exceptions' from License
2009-10-30 - Matthew Harmsen <mharmsen@redhat.com> 1.3.0-3
- Bugzilla Bug #521983 -  New package for Dogtag PKI: osutil
- Removed LICENSE logic from installation section
- Take ownership of library directory
2009-10-27 - Matthew Harmsen <mharmsen@redhat.com> 1.3.0-2
- Bugzilla Bug #521983 -  New package for Dogtag PKI: osutil
- Complied with Fedora JNI packaging logic
2009-10-08 - Matthew Harmsen <mharmsen@redhat.com> 1.3.0-1
- Bugzilla Bug #521983 -  New package for Dogtag PKI: osutil

See Also

Package Description
oxygen-cursor-themes-4.3.4-37.el6.noarch.rpm Oxygen cursor themes
oxygen-icon-theme-4.3.4-2.el6.noarch.rpm Oxygen icon theme
p11-kit-0.18.5-2.el6_5.2.i686.rpm Library for loading and sharing PKCS#11 modules
p11-kit-0.18.5-2.el6_5.2.x86_64.rpm Library for loading and sharing PKCS#11 modules
p11-kit-devel-0.18.5-2.el6_5.2.i686.rpm Development files for p11-kit
p11-kit-devel-0.18.5-2.el6_5.2.x86_64.rpm Development files for p11-kit
p11-kit-trust-0.18.5-2.el6_5.2.i686.rpm System trust module from p11-kit
p11-kit-trust-0.18.5-2.el6_5.2.x86_64.rpm System trust module from p11-kit
pacemaker-1.1.18-3.el6.x86_64.rpm Scalable High-Availability cluster resource manager
pacemaker-cli-1.1.18-3.el6.x86_64.rpm Command line tools for controlling Pacemaker clusters
pacemaker-cluster-libs-1.1.18-3.el6.i686.rpm Cluster Libraries used by Pacemaker
pacemaker-cluster-libs-1.1.18-3.el6.x86_64.rpm Cluster Libraries used by Pacemaker
pacemaker-cts-1.1.18-3.el6.x86_64.rpm Test framework for cluster-related technologies like Pacemaker
pacemaker-doc-1.1.18-3.el6.x86_64.rpm Documentation for Pacemaker
pacemaker-libs-1.1.18-3.el6.i686.rpm Core Pacemaker libraries
Advertisement
Advertisement